Package csb :: Package core :: Class ReadOnlyDictionaryContainer

[frames] | no frames]

# Class ReadOnlyDictionaryContainer

source code

             object --+
                      |
        AbstractIndexer --+
                          |
    BaseDictionaryContainer --+
                              |
                             ReadOnlyDictionaryContainer

This is a write-once container, which is filled with items only at object construction.

Instance Methods
Inherited from `BaseDictionaryContainer`: `__bool__`, `__contains__`, `__getitem__`, `__init__`, `__iter__`, `__len__`, `__nonzero__`, `__repr__`, `keys` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `BaseDictionaryContainer`: `length` Inherited from `object`: `__class__`